linbpq (6.0.25.13+repack-1~hibbian13+1) trixie-hibbian-unstable; urgency=medium

  * 6.0.25.12 hacky merge due t it not ffing.
  * New upstream version 6.0.25.13+repack
  * Patch TelnetV6 to build
  * MINI_BUILDD_OPTION: auto-ports=trixie-packetrepo-unstable,bookworm-packetrepo-unstable,bullseye-packetrepo-unstable,noble-packetrepo-unstable,jammy-packetrepo-unstable

 -- Dave Hibberd <hibby@debian.org>  Tue, 23 Dec 2025 16:45:56 +0000

linbpq (6.0.25.12+repack-1~hibbian13+1) trixie-hibbian-unstable; urgency=medium

  * New upstream version 6.0.25.12+repack
  * MINI_BUILDD_OPTION: auto-ports=trixie-packetrepo-unstable,bookworm-packetrepo-unstable,bullseye-packetrepo-unstable,noble-packetrepo-unstable,jammy-packetrepo-unstable

 -- Dave Hibberd <hibby@debian.org>  Sat, 22 Nov 2025 15:11:09 +0000

linbpq (6.0.25.11+repack-1~hibbian13+1) trixie-hibbian-unstable; urgency=medium

  * New upstream version 6.0.25.11+repack
  * MINI_BUILDD_OPTION: auto-ports=trixie-packetrepo-unstable,bookworm-packetrepo-unstable,bullseye-packetrepo-unstable,noble-packetrepo-unstable,jammy-packetrepo-unstable

 -- Dave Hibberd <hibby@debian.org>  Tue, 11 Nov 2025 21:52:58 +0000

linbpq (6.0.25.9+repack-1~hibbian13+1) trixie-hibbian-unstable; urgency=medium

  * New upstream version 6.0.25.9+repack
  * Refresh patches
  * MINI_BUILDD_OPTION: auto-ports=trixie-packetrepo-unstable,bookworm-packetrepo-unstable,bullseye-packetrepo-unstable,noble-packetrepo-unstable,jammy-packetrepo-unstable

 -- Dave Hibberd <hibby@debian.org>  Sun, 09 Nov 2025 22:45:07 +0000

linbpq (6.0.25.8+repack-1~hibbian13+1) trixie-hibbian-unstable; urgency=medium

  * Build on latest gcc standards
  * New upstream version 6.0.25.8+repack
  * Refresh patches with gbp pq!
  * MINI_BUILDD_OPTION: auto-ports=trixie-packetrepo-unstable,bookworm-packetrepo-unstable,bullseye-packetrepo-unstable,noble-packetrepo-unstable,jammy-packetrepo-unstable

 -- Dave Hibberd <hibby@debian.org>  Fri, 24 Oct 2025 00:45:16 +0100

linbpq (6.0.25.06+repack-1~hibbian13+1) trixie-hibbian-unstable; urgency=medium

  * New upstream version 6.0.25.06+repack
  * MINI_BUILDD_OPTION: auto-ports=trixie-packetrepo-unstable,bookworm-packetrepo-unstable,bullseye-packetrepo-unstable,noble-packetrepo-unstable,jammy-packetrepo-unstable

 -- Dave Hibberd <hibby@debian.org>  Fri, 10 Oct 2025 23:42:04 +0100

linbpq (6.0.25.1+repack-1~hibbian13+1) trixie-hibbian-unstable; urgency=medium

   * New upstream version 6.0.25.1+repack
   * MINI_BUILDD_OPTION: auto-ports=trixie-packetrepo-unstable,bookworm-packetrepo-unstable,bullseye-packetrepo-unstable,noble-packetrepo-unstable,jammy-packetrepo-unstable

 -- Dave Hibberd <hibby@debian.org>  Sat, 20 Sep 2025 15:43:32 +0100

linbpq (6.0.24.82+repack-1~hibbian13+1) trixie-hibbian-unstable; urgency=medium

  * New upstream version 6.0.24.82+repack
  * MINI_BUILDD_OPTION: auto-ports=trixie-packetrepo-unstable,bookworm-packetrepo-unstable,bullseye-packetrepo-unstable,noble-packetrepo-unstable,jammy-packetrepo-unstable

 -- Dave Hibberd <hibby@debian.org>  Sun, 17 Aug 2025 22:36:49 +0100

linbpq (6.0.24.78+repack-1~hibbian~TRIXIE+1) trixie-hibbian-unstable; urgency=medium

  * New Upstream
  * New files excluded
    - No binaries in this release at all maybe!
  * MINI_BUILDD_OPTION: auto-ports=trixie-packetrepo-unstable,bookworm-packetrepo-unstable,bullseye-packetrepo-unstable,noble-packetrepo-unstable,jammy-packetrepo-unstable

 -- Dave Hibberd <hibby@debian.org>  Thu, 31 Jul 2025 01:31:38 +0100

linbpq (6.0.24.77+repack-1~hibbian~TRIXIE+1) trixie-hibbian-unstable; urgency=medium

  * New upstream version 6.0.24.77+repack
  * MINI_BUILDD_OPTION: auto-ports=trixie-packetrepo-unstable,bookworm-packetrepo-unstable,bullseye-packetrepo-unstable,noble-packetrepo-unstable,jammy-packetrepo-unstable

 -- Dave Hibberd <hibby@debian.org>  Tue, 22 Jul 2025 21:46:13 +0100

linbpq (6.0.24.75+repack-1~hibbian~TRIXIE+2) trixie-hibbian-unstable; urgency=medium

  * First trixie release
  * Drop hard-dep on hibbian-archive-keyring

 -- Dave Hibberd <hibby@debian.org>  Wed, 16 Jul 2025 19:10:33 +0100

linbpq (6.0.24.75+repack-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * New upstream version 6.0.25.75+repack
  * MINI_BUILDD_OPTION: auto-ports=trixie-packetrepo-unstable,bookworm-packetrepo-unstable,bullseye-packetrepo-unstable,noble-packetrepo-unstable,jammy-packetrepo-unstable

 -- Dave Hibberd <hibby@debian.org>  Tue, 15 Jul 2025 01:10:43 +0100

linbpq (6.0.24.71+repack-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * New upstream version 6.0.24.67+repack
  * New upstream version 6.0.24.69+repack
  * New upstream version 6.0.24.69.1+repack
  * New upstream version 6.0.24.71+repack
  * Okay that's a lot of updates.
  * Refreshed d/p/makefile to reflect new CFLAG
  * MINI_BUILDD_OPTION: auto-ports=trixie-packetrepo-unstable,bookworm-packetrepo-unstable,bullseye-packetrepo-unstable,noble-packetrepo-unstable,jammy-packetrepo-unstable

 -- Dave Hibberd <hibby@debian.org>  Wed, 21 May 2025 21:45:59 +0100

linbpq (6.0.24.66+repack-1~hibbian+2) bookworm-hibbian-unstable; urgency=medium

  * Update postinst script to be a little quieter
  * MINI_BUILDD_OPTION:
    auto-ports=trixie-packetrepo-unstable,bookworm-packetrepo-unstable,bullseye-packetrepo-unstable,noble-packetrepo-unstable,jammy-packetrepo-unstable

 -- Dave Hibberd <hibby@debian.org>  Tue, 11 Mar 2025 00:51:35 +0000

linbpq (6.0.24.66+repack-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * New upstream version 6.0.24.66+repack

 -- Dave Hibberd <hibby@debian.org>  Tue, 04 Mar 2025 22:50:09 +0000

linbpq (6.0.24.65+repack-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * New Upstream

 -- Dave Hibberd <hibby@debian.org>  Tue, 25 Feb 2025 09:33:24 +0000

linbpq (6.0.24.59a+repack-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * New Upstream
  * Little tweaks to makefile patch to account for new -rdynamic

 -- Dave Hibberd <hibby@debian.org>  Mon, 03 Feb 2025 22:32:11 +0000

linbpq (6.0.24.56+repack-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * New Upstream

 -- Dave Hibberd <hibby@debian.org>  Mon, 06 Jan 2025 21:37:44 +0000

linbpq (6.0.24.55+repack-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * New Upstream
  * d/rules
    - Increased hardening

 -- Dave Hibberd <hibby@debian.org>  Sun, 05 Jan 2025 23:35:06 +0000

linbpq (6.0.24.54+repack-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * New Upstream
  * Drop AGW Patch
  * Drop Spelling Patch
  * Drop Dynamic Links patch

 -- Dave Hibberd <hibby@debian.org>  Tue, 17 Dec 2024 16:46:05 +0000

linbpq (6.0.24.53+repack-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * New upstream
    - Patches refreshed
    - dropped some edits in ftbfs-gcc14
    - dropped d/patches/headers.patch

 -- Dave Hibberd <hibby@debian.org>  Tue, 03 Dec 2024 00:57:57 +0000

linbpq (6.0.24.52+repack-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * New upstream
    - Patches happy

 -- Dave Hibberd <hibby@debian.org>  Sat, 30 Nov 2024 21:47:17 +0000

linbpq (6.0.24.51.1+repack-1~hibbian+2) bookworm-hibbian-unstable; urgency=medium

  * Iron out an issue with time...

 -- Dave Hibberd <hibby@debian.org>  Fri, 29 Nov 2024 19:57:28 +0000

linbpq (6.0.24.51.1+repack-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * New upstream import after bug report
  * Roll back some ftbfs-gcc14 edits
  * Remove some more lib headers

 -- Dave Hibberd <hibby@debian.org>  Fri, 29 Nov 2024 19:30:22 +0000

linbpq (6.0.24.51+repack-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * New upstream import
    - Patches refreshed
  * Upstream is now repacked to include less files
  * Big build system review, now using Debian CFLAGS and LDFLAGS
    - Hardening enabled, mostly
    - A debug symbols package is now available
  * Oh yeah, everything is now dynamic linking
    - libpng
    - libpaho-mqtt
    - libjansson
    - libminiupnpc

 -- Dave Hibberd <hibby@debian.org>  Fri, 29 Nov 2024 13:08:38 +0000

linbpq (6.0.24.50-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * New upstream import
  * Files excluded at origtargz generation time for cleanliness

 -- Dave Hibberd <hibby@debian.org>  Tue, 12 Nov 2024 21:56:38 +0000

linbpq (6.0.24.49-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * New Upstream import
  * Patches refreshed
  * Add mqtt requirements

 -- Dave Hibberd <hibby@debian.org>  Tue, 05 Nov 2024 21:52:29 +0000

linbpq (6.0.24.45-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * New upstream import
  * Patches refreshed

 -- Dave Hibberd <hibby@debian.org>  Fri, 11 Oct 2024 15:48:41 +0100

linbpq (6.0.24.42-1~hibbian+3) bookworm-hibbian-unstable; urgency=medium

  * 32bit build error
    - Patch updated to fix hopefully

 -- Dave Hibberd <hibby@debian.org>  Fri, 30 Aug 2024 12:21:57 +0100

linbpq (6.0.24.42-1~hibbian+2) bookworm-hibbian-unstable; urgency=medium

  * Forgot to fix the ninotnc-smt issue, fixed now

 -- Dave Hibberd <hibby@debian.org>  Fri, 30 Aug 2024 12:05:54 +0100

linbpq (6.0.24.42-1~hibbian+1) bookworm-hibbian-unstable; urgency=medium

  * Install config to /etc
  * New upstream update
  * Patches refreshed
  * Debian hardening enabled
    - 2 new patches created that touch almost every file
    - Considered experimental.
    - gcc14 builds for Debian Trixie!

 -- Dave Hibberd <hibby@debian.org>  Fri, 30 Aug 2024 10:15:11 +0100

linbpq (6.0.24.40-1) unstable; urgency=medium

  * Fresh upstream release
    - Patches refreshed
  * Secure by default patch

 -- Dave Hibberd <hibby@debian.org>  Sun, 07 Jul 2024 16:09:28 +0100

linbpq (6.0.24.38-1) unstable; urgency=medium

  * New Upstream
  * Tweak config file per recommendation from 2M0MQN to make first start simple
  * Bump standards to 4.7.0.0

 -- Dave Hibberd <hibby@debian.org>  Sun, 09 Jun 2024 22:38:40 +0100

linbpq (6.0.24.34-2) unstable; urgency=medium

  * Fix config permissions bug as reported by Alex 2E1PKY

 -- Dave Hibberd <hibby@debian.org>  Mon, 08 Apr 2024 22:27:02 +0100

linbpq (6.0.24.34-1) unstable; urgency=medium

  * Upstream bump

 -- Dave Hibberd <hibby@debian.org>  Sat, 06 Apr 2024 02:15:28 +0100

linbpq (6.0.24.33-1) unstable; urgency=medium

  * Upstream bump
  * Moved config file to examples
  * Updated service to fail on no config
  * Added helpful README.Debian

 -- Dave Hibberd <hibby@debian.org>  Tue, 26 Mar 2024 20:24:08 +0000

linbpq (6.0.24.30-1) unstable; urgency=medium

  * Upstream bump

 -- Dave Hibberd <hibby@debian.org>  Fri, 23 Feb 2024 23:24:46 +0000

linbpq (6.0.24.29-1) unstable; urgency=medium

  * Upstream bump
  * Added my new details
  * Tidied up some packaging errors

 -- Dave Hibberd <hibby@debian.org>  Tue, 13 Feb 2024 00:06:33 +0000

linbpq (6.0.24.27-2) unstable; urgency=medium

  * Permissions fix for web-config-editor users

 -- Dave Hibberd <d@vehibberd.com>  Thu, 18 Jan 2024 10:31:56 +0000

linbpq (6.0.24.27-1) unstable; urgency=medium

  * New Upstream Release

 -- Dave Hibberd <d@vehibberd.com>  Tue, 16 Jan 2024 20:51:43 +0000

linbpq (6.0.24.25-1) unstable; urgency=medium

  * New Upstream Release

 -- Dave Hibberd <d@vehibberd.com>  Thu, 28 Dec 2023 10:44:47 +0000

linbpq (6.0.24.22-2) unstable; urgency=medium

  * Moved config file home, caused chaos

 -- Dave Hibberd <d@vehibberd.com>  Sat, 16 Dec 2023 14:40:20 +0000

linbpq (6.0.24.22-1) unstable; urgency=medium

  * New Upstream Release

 -- Dave Hibberd <d@vehibberd.com>  Fri, 08 Dec 2023 12:29:40 +0000

linbpq (6.0.24.16-1) unstable; urgency=medium

  * New Upstream release

 -- Dave Hibberd <d@vehibberd.com>  Tue, 31 Oct 2023 22:50:01 +0000

linbpq (6.0.24.15-2) unstable; urgency=medium

  * debian/conffiles introduced to stop linbpq overwriting config files
    - Thanks to Mark 2M0IIG for raising concern about this bug!

 -- Dave Hibberd <d@vehibberd.com>  Sun, 15 Oct 2023 21:45:24 +0100

linbpq (6.0.24.15-1) unstable; urgency=medium

  * New upstream release

 -- Dave Hibberd <d@vehibberd.com>  Tue, 10 Oct 2023 22:19:48 +0100

linbpq (6.0.24.2-1) unstable; urgency=medium

  * Initial release.

 -- Dave Hibberd <d@vehibberd.com>  Mon, 28 Aug 2023 23:20:45 +0100
